> This is a page from the ElevenLabs documentation. For a complete page index, fetch https://elevenlabs.io/docs/llms.txt. For the full documentation in a single file, fetch https://elevenlabs.io/docs/llms-full.txt.

# Hämta dubbat transkript

GET https://api.elevenlabs.io/v1/dubbing/{dubbing_id}/transcript/{language_code}

Returnerar transkriptionen för dubbningen som en SRT- eller WEBVTT-fil.

Reference: https://elevenlabs.io/docs/api-reference/legacy/dubbing/get-transcript-for-dub

## Servers

- `https://api.elevenlabs.io` (Production, default)
- `https://api.us.elevenlabs.io` (Production US)
- `https://api.eu.residency.elevenlabs.io` (Production EU)
- `https://api.in.residency.elevenlabs.io` (Production India)
- `https://api.sg.residency.elevenlabs.io` (Production Singapore)

## Request

### Path parameters

- `dubbing_id` (string, required) — Dubbningsprojektets ID.
- `language_code` (string, required) — ISO-693-språkkod för transkriptet som ska hämtas. Använd ”source” för att hämta transkriptet för det ursprungliga mediet.

### Query parameters

- `format_type` (enum, optional, default: srt) — Format att returnera transkriptionen i. För undertexter använder du antingen 'srt' eller 'webvtt', och för en fullständig transkription använder du 'json'. Formatet 'json' stöds ännu inte för Dubbing Studio.
  - Allowed values: `srt`, `webvtt`, `json`

## Response

### 200

Lyckat svar

- `dubbing_transcript_get_transcript_for_dub_Response_200`

## Errors

### 422 Unprocessable Entity Error

Valideringsfel

- `detail` (list of ValidationError, optional)

## Types

### DubbingTranscriptResponseModel

- `language` (string, required)
- `utterances` (list of DubbingTranscriptUtterance, required)

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### DubbingTranscriptUtterance

- `text` (string, optional, default: )
- `speaker_id` (string, optional, default: unknown)
- `start_s` (double, optional, default: 0)
- `end_s` (double, optional, default: 0)
- `words` (list of DubbingTranscriptWord, optional)

### ValidationErrorLocItems

### DubbingTranscriptWord

- `text` (string, optional, default: )
- `word_type` (string, optional, default: unknown)
- `start_s` (double, optional, default: 0)
- `end_s` (double, optional, default: 0)
- `characters` (list of DubbingTranscriptCharacter, optional)

### DubbingTranscriptCharacter

- `text` (string, optional, default: )
- `start_s` (double, optional, default: 0)
- `end_s` (double, optional, default: 0)

## Examples

**Response**

```json
{
  "language": "string",
  "utterances": [
    {
      "end_s": 0,
      "speaker_id": "unknown",
      "start_s": 0,
      "text": "",
      "words": [
        {
          "characters": [
            {
              "end_s": 0,
              "start_s": 0,
              "text": ""
            }
          ],
          "end_s": 0,
          "start_s": 0,
          "text": "",
          "word_type": "unknown"
        }
      ]
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.elevenlabs.io/v1/dubbing/dubbing_id/transcript/source"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://api.elevenlabs.io/v1/dubbing/dubbing_id/transcript/source';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.elevenlabs.io/v1/dubbing/dubbing_id/transcript/source"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.elevenlabs.io/v1/dubbing/dubbing_id/transcript/source")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.elevenlabs.io/v1/dubbing/dubbing_id/transcript/source")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.elevenlabs.io/v1/dubbing/dubbing_id/transcript/source');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.elevenlabs.io/v1/dubbing/dubbing_id/transcript/source");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.elevenlabs.io/v1/dubbing/dubbing_id/transcript/source")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```